﻿using System.Collections.ObjectModel;

namespace XamTreeSample
{
    public class Customer : NotifiableObject
    {
        public string Name        
        {
            get { return _Name; }
            set { _Name = value; OnPropertyChanged("Name"); }
        }
        private string _Name;

        public ObservableCollection<Order> Orders        
        {
            get { return _Orders; }
            set { _Orders = value; OnPropertyChanged("Orders"); }
        }
        private ObservableCollection<Order> _Orders = new ObservableCollection<Order>();
    }
}
